hpack-0.18.1: An alternative format for Haskell packages

Safe Haskell | None
Language | Haskell2010

Hpack

# Documentation

hpack :: Maybe FilePath -> Bool -> IO () Source #

hpackResult :: Maybe FilePath -> IO Result Source #

data Result Source #

Constructors

Result |

Fields

- resultWarnings :: [String]
- resultCabalFile :: String
- resultStatus :: Status

data Status Source #

Constructors

Generated |
AlreadyGeneratedByNewerHpack |
OutputUnchanged |

version :: Version Source #

main :: IO () Source #